package net.minecraft.src.forestry.api;

import net.minecraft.src.ItemStack;

/**
 * Represents germlings for planting. Used by {@link Planter}s to determine valid saplings/seeds in inventory and the actual crop to create in the world from a single seedling. 
 */
public class Germling {
	/**
	 * Item that can be germling.
	 */
	public final ItemStack seed;
	/**
	 * Block to place in the world for each seed.
	 */
	public final ItemStack crop;
	/**
	 * What the result of the grown germling will be. (So as not to destroy it by replanting.)
	 */
	public final ItemStack ripe;
	
	public Germling(ItemStack seed, ItemStack crop, ItemStack ripe)
	{
		this.seed = seed;
		this.crop = crop;
		this.ripe = ripe;
	}
}
